﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ForZenno
{
    public partial class FormForZenno : Form
    {
        public FormForZenno()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Открываем диалог выбора файлов
            if (openFileDialog1.ShowDialog() == DialogResult.Cancel)
                return;

            // получаем выбранный файл
            string filenameOpen = openFileDialog1.FileName;
            // Работаем с полученным файлом
            textBox1.Text = filenameOpen;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            // Открываем диалог выбора файлов
            if (saveFileDialog1.ShowDialog() == DialogResult.Cancel)
                return;

            // получаем выбранный файл
            string filenameSave = saveFileDialog1.FileName;

            // Сохраняем в файл
            System.IO.File.WriteAllText(filenameSave, checkBox1.Text, Encoding.UTF8);
            // Работаем с полученным файлом
            textBox1.Text = filenameSave;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            // Прописать сохранение значений полей в переменные
            string strPathSave = textBox1.Text;
            string strCheckBox = checkBox1.Checked.ToString();
            string strRadioButton = radioButton1.Checked.ToString();
            string strComboBox = comboBox1.Text;
            int intCountAdvert = (int)numericUpDown1.Value;

            string[] arrData =
                {
                    strPathSave,
                    strCheckBox,
                    strRadioButton,
                    strComboBox,
                    intCountAdvert.ToString()
                };

            // Сохраняем в файл
            System.IO.File.WriteAllLines(strPathSave, arrData, Encoding.UTF8);

            Close();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
